Fast, stateless Network Diagnostics

Security & delivery

GET/api/v1/http-headers

HTTP Headers Checker

Status, redirects, caching, and security headers.

ParameterTypeRequiredDescription
urlstringYesFull URL to fetch (https:// included).

Example request

curl "https://netsh.io/api/v1/http-headers?url=https://example.com&api_key=YOUR_API_KEY"

Example response

{
  "ok": true,
  "data": {
    "requestedUrl": "https://example.com",
    "statusCode": 200,
    "statusText": "OK",
    "responseTime": 1210,
    "finalUrl": "https://example.com/",
    "redirectChain": ["https://example.com/"],
    "headers": {
      "content-type": "text/html; charset=utf-8",
      "cache-control": "max-age=10",
      "strict-transport-security": "max-age=31536000; includeSubDomains",
      "server": "cloudflare"
      // ... every other response header
    },
    "security": {
      "score": 5,
      "total": 5,
      "present": ["strict-transport-security", "x-frame-options", "x-content-type-options", "referrer-policy", "content-security-policy"],
      "missing": []
    }
  },
  "meta": { "tool": "http-headers", "version": "v1" }
}